commit:     ea5e2fa77085e2baf8473a135680a82ef7545041
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  5 06:03:54 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Sep  5 06:58:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea5e2fa7

www-client/epiphany: version bump 3.24.3 → 3.24.4

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 www-client/epiphany/Manifest               |  1 +
 www-client/epiphany/epiphany-3.24.4.ebuild | 76 ++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/www-client/epiphany/Manifest b/www-client/epiphany/Manifest
index 544d171cc6b..c42e4481638 100644
--- a/www-client/epiphany/Manifest
+++ b/www-client/epiphany/Manifest
@@ -1,2 +1,3 @@
 DIST epiphany-3.22.7.tar.xz 2293224 SHA256 
a15b7ec19644eec8d40ce11286bbca28ac188202b47e2b9fc593ab0974e9c784 SHA512 
8150952e89b86d05958bd9f9a0c78ba583764ec878220c8e328cb936108faf25a10837e038bd1a0ba1279555d2f95f819477cfddcb67c31e5b4c3533daf446bd
 WHIRLPOOL 
1856f814a08896e6000085bc34a1097c72d2cd615263e5974b2008088354644cbb58ee8a3ffeb2d9c3b5edcea5a5c56cb4305b200fb6dfc86a0766fe686b90d5
 DIST epiphany-3.24.3.tar.xz 3456304 SHA256 
fef51676310d9f37e18c9b2d778254232eb17cccd988c2d1ecf42c7b2963a154 SHA512 
a294cd450073b157450e7ce4d4fa355aa7efe4d5fe8773bab733f918b974126f2f189c4ba55d62a7e14088e1de9d169c5bfe3ed147ba4f8fb074c91443f068af
 WHIRLPOOL 
4a083db2a497952e12b8404b96f0353bc70b5b55322ade127955a97869e5269bead4aeff4178cf68cbdd250b3dc78e7a708427adcb1094ff09c03a23d2557c8a
+DIST epiphany-3.24.4.tar.xz 3213184 SHA256 
15f0f664bed190143cce8a03f610fa863b92d9502513c107304e5285924ee5c9 SHA512 
98ca26f8f962b8b68c90ac71f793e3c967ba15edab3c4f5dc49e3e325ce8ec02c8fa3c0d3b885ab123637593963ce29583280a03ac70ff3e9a55b7ce91c7145b
 WHIRLPOOL 
5c3c45e07f50a02103c93fdb797fd83c1a29e453930c713089078aee644e40cdc207c6de34992a801d11e987677dd8455957589ed9027b468924d3f33801efe2

diff --git a/www-client/epiphany/epiphany-3.24.4.ebuild 
b/www-client/epiphany/epiphany-3.24.4.ebuild
new file mode 100644
index 00000000000..3a53dc2b527
--- /dev/null
+++ b/www-client/epiphany/epiphany-3.24.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit flag-o-matic gnome2 virtualx
+
+DESCRIPTION="GNOME webbrowser based on Webkit"
+HOMEPAGE="https://wiki.gnome.org/Apps/Web";
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="test"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.46.0:2[dbus]
+       >=x11-libs/gtk+-3.22.13:3
+       >=net-libs/webkit-gtk-2.15.90:4=
+       >=x11-libs/cairo-1.2
+       >=app-crypt/gcr-3.5.5:=
+       >=x11-libs/gdk-pixbuf-2.36.5:2
+       >=gnome-base/gnome-desktop-2.91.2:3=
+       dev-libs/icu:=
+       >=dev-libs/json-glib-1.2.0
+       >=x11-libs/libnotify-0.5.1:=
+       >=app-crypt/libsecret-0.14
+       >=net-libs/libsoup-2.48:2.4
+       >=dev-libs/libxml2-2.6.12:2
+       >=dev-libs/libxslt-1.1.7
+       dev-db/sqlite:3
+       >=app-text/iso-codes-0.35
+       >=gnome-base/gsettings-desktop-schemas-0.0.1
+"
+# epiphany-extensions support was removed in 3.7; let's not pretend it still 
works
+RDEPEND="${COMMON_DEPEND}
+       x11-themes/adwaita-icon-theme
+       !www-client/epiphany-extensions
+"
+# paxctl needed for bug #407085
+DEPEND="${COMMON_DEPEND}
+       app-text/yelp-tools
+       dev-libs/appstream-glib
+       sys-apps/paxctl
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       # https://bugzilla.gnome.org/show_bug.cgi?id=751591
+       "${FILESDIR}"/${PN}-3.16.0-unittest-1.patch
+
+       # https://bugzilla.gnome.org/show_bug.cgi?id=751593
+       "${FILESDIR}"/${PN}-3.14.0-unittest-2.patch
+)
+
+src_configure() {
+       # https://bugzilla.gnome.org/show_bug.cgi?id=778495
+       append-cflags -std=gnu11
+
+       # httpseverywhere is experimental in 3.24; gnome bug #775575
+       # firefox sync storage is not quite ready in 3.24; deps on 
hogweed/nettle
+       gnome2_src_configure \
+               --enable-shared \
+               --disable-static \
+               --with-distributor-name=Gentoo \
+               --without-libhttpseverywhere \
+               --disable-firefox-sync \
+               $(use_enable test tests)
+}
+
+src_test() {
+       "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+       GSETTINGS_SCHEMA_DIR="${S}/data" virtx emake check
+}

Reply via email to